package com.chenyang.nse.bussiness.entity.orm.table.core.differentdb;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATION_TARGERTYPE_CONVERSION"
)
public class DesensitizationTargerTypeConversion extends TBaseEntity {
   private String datasystemtype;
   private String targertype;
   private String mappingtype;
   private String javatype;
   private String flag;
   private String note;
   private String createuserid;
   private String updateuserid;
   private Date createtime;
   private Date updatetime;

   public String getCreateuserid() {
      return this.createuserid;
   }

   public void setCreateuserid(String createuserid) {
      this.createuserid = createuserid;
   }

   public String getUpdateuserid() {
      return this.updateuserid;
   }

   public void setUpdateuserid(String updateuserid) {
      this.updateuserid = updateuserid;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getDatasystemtype() {
      return this.datasystemtype;
   }

   public void setDatasystemtype(String datasystemtype) {
      this.datasystemtype = datasystemtype;
   }

   public String getTargertype() {
      return this.targertype;
   }

   public void setTargertype(String targertype) {
      this.targertype = targertype;
   }

   public String getMappingtype() {
      return this.mappingtype;
   }

   public void setMappingtype(String mappingtype) {
      this.mappingtype = mappingtype;
   }

   public String getJavatype() {
      return this.javatype;
   }

   public void setJavatype(String javatype) {
      this.javatype = javatype;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }
}
